<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o4.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	/* 
	Creamos la clase
*/

class Caja{
    // propiedad privada
    #unidad="px";
    // metodo constructor
    constructor(a,b,c){
        // propiedades publicas
        this.ancho=a;
        this.alto=b;
        this.texto=c;
    }

    // metodo privado
    concatenar(){
        this.ancho=this.ancho+unidad;
		this.alto=this.alto+unidad;
    }

    //metodos publicos
	mensaje(){
		this.texto="esto es un ejemplo";
	};
	
    mostrar(){
		alert(this.texto);
	};


}
/*
	Creamos el objeto
*/

const objeto=new caja(10,20,"hola mundo");

console.log(objeto.alto);
objeto.mostrar();
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">Ejemplo 4
</div>
<div class="explicacion">
Vamos a crear un objeto a partir de la clase "caja". Accederemos a los miembros del objeto. ¿Podemos acceder a concatenar?
Veamos que son miembros privados (metodos y propiedades)
</div>
</div>
</body>
</html>
